
package com.heyu.api.data.utils;

import lombok.extern.slf4j.Slf4j;

import java.text.SimpleDateFormat;

@Slf4j
public class OrderUtil {

    public static final ThreadLocal<String> threadLocalOldNO = new ThreadLocal();

    public static String getUserPoolOrder(String pre) {
        SimpleDateFormat dateformat = new SimpleDateFormat("SSSyyyyMMddHHmmss");
        StringBuffer sb = new StringBuffer();
        sb.append(pre);
        return sb.
                append((int) (Math.random() * 1000)).append(dateformat.format(System.currentTimeMillis())).toString();
    }


}
